com.io7m.r2.core

## Interface R2LightRendererType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType
  All Known Implementing Classes:
    R2LightRenderer

      public interface R2LightRendererType
      extends R2DeletableType

  The type of renderers that populate light buffers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderLights(R2GeometryBufferUsableType gbuffer, com.io7m.jareas.core.AreaInclusiveUnsignedLType area, Optional<R2LightBufferUsableType> lbuffer, com.io7m.jcanephora.profiler.JCGLProfilingContextType pc, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2ShadowMapContextUsableType shadows, R2MatricesObserverType m, R2SceneLightsType s)` Render the given lights into the given light buffer.

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### renderLights

          void renderLights(R2GeometryBufferUsableType gbuffer,
                            com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                            Optional<R2LightBufferUsableType> lbuffer,
                            com.io7m.jcanephora.profiler.JCGLProfilingContextType pc,
                            com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                            R2ShadowMapContextUsableType shadows,
                            R2MatricesObserverType m,
                            R2SceneLightsType s)

      Render the given lights into the given light buffer.

      If a light buffer is provided, it will be bound before evaluation and left bound after the method returns.

      Parameters:
        `gbuffer` - The populated geometry buffer
        `area` - The output viewport
        `lbuffer` - The output light buffer
        `pc` - A profiling context
        `uc` - A texture unit context
        `shadows` - A set of rendered shadow maps
        `m` - A matrix context
        `s` - The opaque lights

Copyright © 2016 <code@io7m.com> http://io7m.com